Relesys API Docs

v1.3

https://api.uat.relesystest.net/api/v1.3

Task Management

Get
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}
https://api.uat.relesystest.net/api/v1.3/taskmanagementmodules/{moduleId}/tasks/{taskId}
Get the task with ID taskId in a module with ID moduleId.

All types of tasks can be queried with this endpoint: standalone tasks, recurrence containers as well as individual tasks in a recurring series.
These types can be differentiated by the following properties:
  • Recurrence container - has recurrence property
  • Recurrence task - has parentIssueToken property
  • Standalone task - does not have recurrence or parentIssueToken properties
recurrence is based on iCalendar RFC 5545 standard and defines how the system creates a list of tasks in a series.

There are the following assignee types:
  • Everyone - all users that have access to the task are required to complete it.
    NOTE: assigneeIds property is not populated in such scenario.
  • ByDepartmentType - at least one user per department type is required, with hierarchical departments included if they exist. assignedDepartmentType property is populated and assigneeIds property is not populated in such cases.
  • SelectedUsers_AtLeastOne - at least one user listed in assigneeIds is required to complete the task.
  • SelectedUsers_RequireAll - all users listed in assigneeIds are required to complete the task.
For more information on permissions and recurrence rules visit their respective concept pages.
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The tasks's unique identifier required
Responses
application/json
JSON
{"data":{"id":"12a22439-1b15-4e12-ac1b-3364a5fe2358","name":"Internal name","recurrence":"FREQ=DAILY;DTSTART=20251010T130000;INTERVAL=1;COUNT=2","parentId":null,"locales":[{"culture":"en-GB","title":"Title 1","summary":"Summary 1"},{"culture":"da-DK","title":"Title 2","summary":"Summary 2"}],"categoryIds":["d95f523c-9ddb-4dbc-9c04-f17c85553e66","ae9373cb-b318-4588-bca2-d546341d84b1"],"availableFrom":"2025-10-10T13:00:00","availableFromTimeZone":"FLE Standard Time","availableUntil":"2025-10-10T14:00:00","availableUntilTimeZone":"FLE Standard Time","subtaskIds":["89bf65b3-aee1-4a44-8ea3-2f677ba661ac","53da5482-c94a-4bd2-983d-f6e7ad39654b"],"serviceFormId":null,"medias":[{"id":"1544f286-92fa-4aab-b3ff-32529ed727ec","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"},{"id":"ffaab55b-fb83-4b8a-8dce-b077e3037428","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"}],"permissions":[{"departments":[{"url":null,"name":"Department 1","id":"29e57f2e-0f59-4ca1-82e9-37b2a6c73ff1"},{"url":null,"name":"Department 2","id":"0396c97c-c1f1-4871-8573-d64e1455d1fd"}],"userGroups":[{"url":null,"name":"User group 1","id":"3bcaa27c-31cb-448c-8c1e-d05e1f9bbf3d"},{"url":null,"name":"User group 2","id":"4b0d2f2e-99d5-4005-b9fd-899501108fe4"}],"requireAllUserGroups":false}],"status":"Published","assigneeType":"SelectedUsers_AtLeastOne","assigneeIds":["1791d4ff-9944-4eaa-99f0-4512625b25bf","78523d50-7b26-488a-a2b0-754012fc65af"],"assignedDepartmentType":null,"notifyManagerOfDepartmentType":"Country","reminderDueSoonIntervalInDays":1,"reminderIntervalInDays":null,"lockByAvailableFrom":false,"lockByAvailableUntil":true,"hideAuthor":false,"disableComments":false,"isUnsynchronizedWithParent":null,"creationDateTime":"2025-10-09T13:00:00+00:00","lastModifiedDateTime":null}}
object
  data object      
   assignedDepartmentType string      
   assigneeIds array[string / guid]      
   assigneeType string      
   availableFrom string      
   availableFromTimeZone string      
   availableUntil string      
   availableUntilTimeZone string      
   categoryIds array[string / guid]      
   creationDateTime datetimeoffset      
   disableComments boolean      
   hideAuthor boolean      
   id string / guid      
   isUnsynchronizedWithParent boolean      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    summary string      
    title string      
   lockByAvailableFrom boolean      
   lockByAvailableUntil boolean      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   notifyManagerOfDepartmentType string      
   parentId string / guid      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   recurrence string      
   reminderDueSoonIntervalInDays integer      
   reminderIntervalInDays integer      
   serviceFormId string / guid      
   status string      
   subtaskIds array[string / guid]